It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
I've posted these links in a couple places, but I'm going to also put them here.

A patch was just released this morning which corrects a number of lingering issues in Ultima 9, including the "floating runes" bug: FORGOTTEN WORLD RELEASES PATCH 1.19H FOR ULTIMA 9

You can find the actual patch download here...again, grab the 1.19H version.

This may also be of interest to some: FORGOTTEN WORLD: SETTINGS CHANGES TO IMPROVE ULTIMA 9′S PERFORMANCE (AND REDUCE CRASHING)

It should be noted that these patches and settings changes are untested with nGlide. However, if you apply them, you shouldn't need to use nGlide at all; Ultima 9 should run quite well as a native Windows application.
Attachments:
i'm almost ready to get my Ultima 9 ce box out, hope my install cd works still
Question, i downloaded and applied the 1.19H patch on my GOG version of Ultima 9, and then proceeded with starting a new save, but once i check the journal it still shows the current version number as 1.19f.
Did i apply the patch wrong or was it simply unaltered? (I simply just merged and replaced like the readme stated.)
Attachments:
Yeah don't worry, the patch is named as such more for the sake of it, it doesn't change the lettering in the game as this point. As far as the 1.19H goes

Regarding the .ini setting, you might want to avoid it with nGlide - haven't tried it with GOG's version yet to be fair, but when I did try it with nGlide separately it seemed to slow the game to a crawl.

You will definitly want it if you play in D3D however, as it seems to resolve most crashes issues (notably, Moonglow is hell and tends to crash constantly without these fixes).

And personnally I would recommend playing D3D because really : the game looks better this way: sharper graphics, smoother framerate, and it doesn't suffer from the texture filtering issues the Glide version has.

-Sergorn
One question, do i need to apply the 'G' update before updating to the 'H'? I noticed that some patches include all of the previous updates is the newest patch.
If the way previous Forgotten World patches worked are any guide, you should only have to install the H patch.

It'd make things a lot clearer if they'd simply withdraw the older patches, but maybe there's a hidden logic to leaving them available.
Post edited August 29, 2012 by MeddlingMonk
avatar
MeddlingMonk: If the way previous Forgotten World patches are any guide, you should only have to install the H patch.

It'd make things a lot clearer if they'd simply withdraw the older patches, but maybe there's a hidden logic to leaving them available.
Thanks, i'll just apply the 'H' patch to the game.